summaryrefslogtreecommitdiffstats
path: root/games/starfighter/starfighter.SlackBuild
diff options
context:
space:
mode:
author Tim Dickson (timsoft)2010-05-12 23:29:32 +0200
committer Chess Griffin2010-05-12 23:29:32 +0200
commitf9521f290c840c877bcfbfaa5556199ffc6d7aa2 (patch)
tree347dd3438cf51b742be91e8da8f3a7c66700e567 /games/starfighter/starfighter.SlackBuild
parent3df03c0ccdc9bb2283d1725c1fb388d8c819a341 (diff)
downloadslackbuilds-f9521f290c840c877bcfbfaa5556199ffc6d7aa2.tar.gz
games/starfighter: Added to 12.2 repository
Diffstat (limited to 'games/starfighter/starfighter.SlackBuild')
-rw-r--r--games/starfighter/starfighter.SlackBuild73
1 files changed, 73 insertions, 0 deletions
diff --git a/games/starfighter/starfighter.SlackBuild b/games/starfighter/starfighter.SlackBuild
new file mode 100644
index 0000000000..e36a9fc9c1
--- /dev/null
+++ b/games/starfighter/starfighter.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Slackware build script for starfighter
+
+# Written by Tim Dickson tim@tree-of-life.co.uk
+
+PRGNAM=starfighter
+VERSION=${VERSION:-1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-1.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#because the make file doesn't support DESTDIR directly..
+#modify makefile
+mv makefile oldmakefile
+sed -e 's/\/usr/\$\(DESTDIR\)\/usr/g' -e '/strip/ i\
+\tmkdir -p \$\(BINDIR\)' -e '/strip/ i\
+\tmkdir -p \$\(DOCDIR\)' oldmakefile >makefile
+rm oldmakefile
+
+make
+#binaries are stripped in this makefile with install option
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/usr/share/applications
+#put the menu item and icons in right place
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/icons/hicolor/32x32/apps
+cp $CWD/$PRGNAM.png $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+mkdir -p $PKG/usr/share/icons/hicolor/16x16/apps
+cp $CWD/$PRGNAM-small.png $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
+mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
+cp $CWD/$PRGNAM-large.png $PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz